Skip to main content
GET
Error

Authorizations

api-key
string
header
required

Path Parameters

vector_store_id
string
required

The ID of the vector store that the file batch belongs to.

batch_id
string
required

The ID of the file batch being retrieved.

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview

Response

The request has succeeded.

A batch of files attached to a vector store.

id
string
required

The identifier, which can be referenced in API endpoints.

object
enum<string>
required

The object type, which is always vector_store.file_batch.

Available options:
vector_store.files_batch
created_at
integer<unixtime>
required

The Unix timestamp (in seconds) for when the vector store files batch was created.

vector_store_id
string
required

The ID of the vector store that the File is attached to.

status
enum<string>
required

The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.

Available options:
in_progress,
completed,
cancelled,
failed
file_counts
object
required